Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to upgrade the kernal to 3.8.2 but it didn't work. So after learning that 3.8 wouldn't work with bumblebee I tried to go back and install 3.5.25. It still didn't work.

uname -r says: 3.5.0-17-generic

So here are my problems:

Whenever I try to launch update manager I get this:

E: linux-image-extra-3.5.0-25-generic: subprocess installed
post-removal script returned error exit status 1

I tried to sudo rm the directories but it doesn't help.

$ sudo apt-get purge linux-image-extra-3.5.0-25-generic
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages will be REMOVED: 
linux-image-extra-3.5.0-25-generic 0 upgraded, 0 newly installed, 1 to
remove and 0 not upgraded. 2 not fully installed or removed.
E: Could not get lock /var/cache/apt/archives/lock - open (11: Resource temporarily unavailable)
E: Unable to lock directory /var/cache/apt/archives/

$ sudo dkpg --configure -a
Setting up linux-image-3.5.0-25-generic (3.5.0-25.39) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.5.0-25-generic /boot/vmlinuz-3.5.0-25-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.5.0-25-generic /boot/vmlinuz-3.5.0-25-generic
update-initramfs: Generating /boot/initrd.img-3.5.0-25-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.5.0-25-generic /boot/vmlinuz-3.5.0-25-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.5.0-25-generic /boot/vmlinuz-3.5.0-25-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.5.0-25-generic /boot/vmlinuz-3.5.0-25-generic
/usr/sbin/grub-mkconfig: 36: /etc/default/grub: i915.modeset=1: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.5.0-25-generic.postinst line 1010.
dpkg: error processing linux-image-3.5.0-25-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 linux-image-3.5.0-25-generic
share|improve this question
    
I tried to upgrade to 3.8.2 What exactly did you do? –  darksky Mar 7 '13 at 7:53
    
wow how did you upgrade to 3.8.2?!!!! –  Soroosh129 Mar 7 '13 at 11:27
    
i followed the tutorial in upbuntu but its good i managed to solve ths problem, i dont even remember how since now i have 2 others problems after updating my graphic cards driver. –  Cotcot Mar 7 '13 at 12:53

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.